{*******************************************************}
{                                                       }
{ Borland Delphi Visual Component Library               }
{                SOAP Support                           }
{                                                       }
{ Copyright (c) 2001 Borland Software Corporation       }
{                                                       }
{*******************************************************}

unit SOAPConst; 

interface

uses TypInfo, XMLSchema;

const

  SHTTPPrefix = 'http://';                                     { Do not localize }
  SContentId = 'Content-ID';                                   { Do not localize }
  SContentLocation = 'Content-Location';                       { Do not localize }
  SContentLength = 'Content-Length';                           { Do not localize }
  SContentType = 'Content-Type';                               { Do not localize }

  SWSDLMIMENamespace = 'http://schemas.xmlsoap.org/wsdl/mime/';{ Do not location }
  SBorlandMimeBoundary = 'MIME_boundaryB0R9532143182121';
  SSoapXMLHeader = '<?xml version="1.0" encoding=''UTF-8''?>'; { Do not localize }
  SUTF8 = 'UTF-8';                                             { Do not localize }
  ContentTypeTemplate = 'Content-Type: %s';                    { Do not localize }
  ContentTypeApplicationBinary = 'application/binary';         { Do not localize }
  SBinaryEncoding = 'binary';                                  { Do not localize }
  S8BitEncoding   = '8bit';                                    { Do not localize }
  ContentTypeTextPlain = 'text/plain';                         { Do not localize }
  SCharacterEncodingFormat = 'Content-transfer-encoding: %s';  { Do not localize }
  SCharacterEncoding = 'Content-transfer-encoding';            { Do not localize }
  SBoundary = 'boundary=';                                     { Do not localize }
  SMultiPartRelated = 'multipart/related';                     { Do not localize }
  SMultiPartRelatedNoSlash = 'multipartRelated';               { Do not localize }
  ContentHeaderMime = SMultiPartRelated + '; boundary=%s';     { Do not localize }
  SStart = '; start="<%s>"';                                   { Do not localize}
  SBorlandSoapStart = 'http://www.borland.com/rootpart.xml';   { Do not localize}
  SAttachmentIdPrefix = 'cid:';                                { Do not localize }

  MimeVersion = 'MIME-Version: 1.0';
  sTextHtml = 'text/html';                                 { Do not localize }
  sTextXML  = 'text/xml';                                  { Do not localize }

  ContentTypeUTF8 = 'text/xml; charset="utf-8"';           { Do not localize }
  ContentTypeNoUTF8 = 'text/xml';                          { Do not localize }

  SSoapNameSpace = 'http://schemas.xmlsoap.org/soap/envelope/'; { do not localize}
  SXMLNS = 'xmlns';                                        { do not localize}
  SSoapEncodingAttr = 'encodingStyle';                     { do not localize}
  SSoap11EncodingS5 = 'http://schemas.xmlsoap.org/soap/encoding/';  { do not localize}

  SSoapEncodingArray = 'Array';                            { do not localize}
  SSoapEncodingArrayType = 'arrayType';                    { do not localize}

  SSoapHTTPTransport = 'http://schemas.xmlsoap.org/soap/http';   { do not localize}
  SSoapBodyUseEncoded = 'encoded';                         { do not localize}
  SSoapBodyUseLiteral = 'literal';                         { do not localize}

  SSoapEnvelope = 'Envelope';                              { do not localize}
  SSoapHeader = 'Header';                                  { do not localize}
  SSoapBody = 'Body';                                      { do not localize}
  SSoapResponseSuff = 'Response';                          { do not localize}

  SRequired = 'required';                                  { do not localize }
  SSoapActor = 'actor';                                    { do not localize}
  STrue = 'true';                                          { do not localize}

  SSoapServerFaultCode = 'Server';                         { do not localize}
  SSoapServerFaultString = 'Server Error';                 { do not localize}
  SSoapFault = 'Fault';                                    { do not localize}
  SSoapFaultCode = 'faultcode';                            { do not localize}
  SSoapFaultString = 'faultstring';                        { do not localize}
  SSoapFaultActor = 'faultactor';                          { do not localize}
  SSoapFaultDetails =  'detail';                           { do not localize}
  SFaultCodeMustUnderstand = 'MustUnderstand';             { do not localize}

  SHTTPSoapAction = 'SOAPAction';                          { do not localize}

  SHeaderMustUnderstand = 'mustUnderstand';                { do not localize}
  SHeaderActor = 'actor';                                  { do not localize}
  SActorNext= 'http://schemas.xmlsoap.org/soap/actor/next';{ do not localize}

  SSoapType = 'type';                                      { do not localize}
  SSoapResponse = 'Response';                              { do not localize}
  SDefaultReturnName = 'return';                           { do not localize}
  SDefaultResultName = 'result';                           { do not localize}

  SXMLID = 'id';                                           { do not localize}
  SXMLHREF = 'href';                                       { do not localize}

  SSoapNULL = 'NULL';                                      { do not localize}
  SSoapNIL  = 'nil';                                       { do not localize}

  SHREFPre = '#';                                          { do not localize}
  SArrayIDPre = 'Array-';                                  { do not localize}
  SDefVariantElemName = 'V';                               { do not localize}

  SDefaultBaseURI = 'thismessage:/';                       { do not localize}
  SDelphiTypeNamespace = 'http://www.borland.com/namespaces/Delphi/Types';    { do not localize}
  SBorlandTypeNamespace= 'http://www.borland.com/namespaces/Types';           { do not localize}

  SOperationNameSpecifier = '%operationName%';             { Do not localize }
  SDefaultReturnParamNames= 'Result;Return';               { Do not localize }
  sReturnParamDelimiters  = ';,/:';                        { Do not localize }



  KindNameArray:  array[tkUnknown..tkDynArray] of string =
    ('Unknown', 'Integer', 'Char', 'Enumeration', 'Float',                    { do not localize }
    'String', 'Set', 'Class', 'Method', 'WChar', 'LString', 'WString',        { do not localize }
    'Variant', 'Array', 'Record', 'Interface', 'Int64', 'DynArray');          { do not localize }

  SSoapNameSpacePre = 'SOAP-ENV';            { do not localize }
  SXMLSchemaNameSpacePre = 'xsd';            { do not localize}
  SXMLSchemaInstNameSpace99Pre = 'xsi';      { do not localize}
  SSoapEncodingPre = 'SOAP-ENC';             { do not localize}

{$IFDEF D6_STYLE_COLORS}
  sDefaultColor = '#006699';
  sIntfColor    = '#006699';
  sTblHdrColor  = '#CCCC99';
  sTblColor1    = '#FFFFCC';
  sTblColor0    = '#CCCC99';
  sBkgndColor   = '#CCCC99';
  sTipColor     = '#666666';
  sWSDLColor    = '#666699';
  sOFFColor     = '#A0A0A0';
  sNavBarColor  = '#006699';
  sNavBkColor   = '#cccccc';
{$ELSE}
  sDefaultColor = '#333333';
  sIntfColor    = '#660000';
  sTblHdrColor  = '#CCCC99';
  sTblColor1    = '#f5f5dc';
  sTblColor0    = '#d9d4aa';
  sBkgndColor   = '#d9d4aa';
  sTipColor     = '#666666';
  sWSDLColor    = '#990000';
  sOFFColor     = '#A0A0A0';
  sNavBarColor  = '#660000';
  sNavBkColor   = '#f5f5dc';
{$ENDIF}

  HTMLStylBeg = '<style type="text/css"><!--' + sLineBreak;
  HTMLStylEnd = '--></style>'                 + sLineBreak;
  BodyStyle1  = 'body       {font-family: Verdana, Arial, Helvetica, sans-serif; font-size: 9pt; }'                                                       + sLineBreak;
  BodyStyle2  = 'body       {font-family: Verdana, Arial, Helvetica, sans-serif; font-size: 9pt; margin-left: 0px; margin-top: 0px; margin-right: 0px; }' + sLineBreak;
  OtherStyles = 'h1         {color: '+sDefaultColor+'; font-size: 18pt; font-style: normal; font-weight: bold; }'                                                   + sLineBreak +
                'h2         {color: '+sDefaultColor+'; font-size: 14pt; font-style: normal; font-weight: bold; }'                                                   + sLineBreak +
                'h3         {color: '+sDefaultColor+'; font-size: 12pt; font-style: normal; font-weight: bold; }'                                                   + sLineBreak +
                '.h1Style   {color: '+sDefaultColor+'; font-size: 18pt; font-style: normal; font-weight: bold; }'                                                   + sLineBreak +
                '.TblRow    {color: '+sDefaultColor+'; font-family: Verdana, Arial, Helvetica, sans-serif; font-size: 10pt; font-weight: normal; }' + sLineBreak +
                '.TblRow1   {color: '+sDefaultColor+'; background-color: '+sTblColor1+'; font-family: Verdana, Arial, Helvetica, sans-serif; font-size: 9pt; font-weight: normal; }' + sLineBreak +
                '.TblRow0   {color: '+sDefaultColor+'; background-color: '+sTblColor0+'; font-family: Verdana, Arial, Helvetica, sans-serif; font-size: 9pt; font-weight: normal; }' + sLineBreak +
                '.TblHdr    {color: '+sTblHdrColor+ '; background-color: '+sDefaultColor+'; font-family: Verdana, Arial, Helvetica, sans-serif; font-size: 10pt; font-weight: bold; text-align: center;}' + sLineBreak +
                '.IntfName  {color: '+sIntfColor  + '; font-family: Verdana, Arial, Helvetica, sans-serif; font-size: 10pt; font-weight: bold; }'                             + sLineBreak +
                '.MethName  {color: '+sDefaultColor+'; font-family: Verdana, Arial, Helvetica, sans-serif; font-size: 8pt; font-weight: bold; text-decoration: none; }'       + sLineBreak +
                '.ParmName  {color: '+sDefaultColor+'; font-family: Verdana, Arial, Helvetica, sans-serif; font-size: 8pt; text-decoration: none; }'                          + sLineBreak +
                '.Namespace {color: '+sDefaultColor+'; font-family: Verdana, Arial, Helvetica, sans-serif; font-size: 9pt; font-style: italic; }'                             + sLineBreak +
                '.WSDL      {color: '+sWSDLColor+   '; font-family: Verdana, Arial, Helvetica, sans-serif; font-size: 8pt; font-weight: bold; }'                              + sLineBreak +
                '.MainBkgnd {background-color : '+sBkgndColor+'; }'                                                                                                          + sLineBreak +
                '.Info      {font-family: Verdana, Arial, Helvetica, sans-serif; font-size: 12pt; font-weight: bold; }'                                             + sLineBreak +
                '.NavBar    {color: '+sNavBarColor+'; background-color: '+sNavBkColor+'; font-family: Verdana, Arial, Helvetica, sans-serif; font-size: 8pt; font-weight: bold;text-decoration: none; }'+ sLineBreak +
                '.Off       {color: '+sOFFColor+'; }'                                                                                                                     + sLineBreak +
                '.Tip 	    {color: '+sTipColor+'; font-family : Verdana, Arial, Helvetica, sans-serif; font-weight : normal; font-size : 9pt; }'                         + sLineBreak;


  HTMLStyles  = HTMLStylBeg + BodyStyle1 + OtherStyles + HTMLStylEnd;
  HTMLNoMargin= HTMLStylBeg + BodyStyle2 + OtherStyles + HTMLStylEnd;

  TableStyle  = 'border=1 cellspacing=1 cellpadding=2 ';

resourcestring
  HTMLContentLanguage   = ''; // '<meta http-equiv="Content-Language" content="ja"><meta http-equiv="Content-Type" content="text/html; charset=shift_jis">';

const
  HTMLHead    = '<html><head>';
  HTMLServiceInspection = '<META name="serviceInspection" content="inspection.wsil">';

{resourcestring - these are getting truncated as resources currently resulting in bad HTML pages!!} 
  HTMLTopPlain              = HTMLHead + '</head><body>';
  HTMLTop                   = HTMLHead + '</head>'+HTMLStyles+'<body>';
  HTMLTopNoMargin           = HTMLHead + '</head>'+HTMLNoMargin+'<body>';
  HTMLTopTitleNoMargin      = HTMLHead + '<title>%s</title></head>'+HTMLNoMargin+'<body>';
  HTMLTopNoStyles           = HTMLHead + '</head><body>';
  HTMLTopTitle              = HTMLHead + '<title>%s</title></head>'+HTMLStyles+'<body>';
  HTMLTopTitleNoMarginWSIL  = HTMLHead + HTMLServiceInspection + '<title>%s</title></head>'+HTMLNoMargin+'<body>';

const
  HTMLEnd     = '</body></html>';
  InfoTitle1  = '<table class="MainBkgnd" border=0 cellpadding=0 cellspacing=0 width="100%">' +
                '<tr><td>&nbsp;</td></tr>';
  InfoTitle2  = '<tr><td class="h1Style" align="center">%s - %s</td></tr>' +
                '</table>';
  TblCls: array[Boolean] of string = ('TblRow0', 'TblRow1');
  sTblRow     = 'TblRow';
  sTblHdrCls  = 'TblHdr';

  sQueryStringIntf = 'intf';                                    { Do not localize }
  sQueryStringTypes= 'types';                                   { Do not localize }
  sNBSP = '&nbsp;';                                             { Do not localize }

var

  XMLSchemaNameSpace: string = SXMLSchemaURI_2001;    { Default namespace we publish under }
  XMLSchemaInstNameSpace: string =  SXMLSchemaInstURI;

resourcestring

  SUnsupportedEncodingSyle = 'Estilo de codificao SOAP %s no suportado';
  SInvalidSoapRequest = 'Requisio SOAP invlida';
  SInvalidSoapResponse = 'Resposta SOAP invlida';
  SMultiBodyNotSupported = 'Corpo de mltiplos elementos no suportado';
  SUnsupportedCC = 'Chamada convencional no suportada: %s';
  SUnsupportedCCIntfMeth = 'Chamada ao metdo remoto: Chamada convencional %s no suportada para o mtodo %s na interface %s';
  SInvClassNotRegistered  = 'Nenhuma classe de invokable registrada para implementar a interface %s do (soap action/path) %s';
  SInvInterfaceNotReg = 'Nenhuma inteface registrada para a ao Soap "%s"';
  SInvInterfaceNotRegURL = 'Nenhuma interface registrada para a URL "%s"';
  SRemTypeNotRegistered  = 'Tipo remoto %s no registrado';
  STypeMismatchInParam = 'Tipo desconhecido no parmetro %s';
  SNoSuchMethod = 'Nenhum mtodo nomeado como "%s"  suportado pela interface "%s"';
  SInterfaceNotReg = 'Interface no registrada, UUID = %s';
  SInterfaceNoRTTI = 'Interface no  RTTI, UUID = %s';
  SNoWSDL = 'Nenhum documento WSDL foi associado para WSDLView';
  SWSDLError = 'Documento WSDL "%s" invlido - Por favor verifique a localizao e o contedo!'#13#10'Erro: %s';
  SEmptyWSDL = 'Documento vazio';
  sNoWSDLURL = 'Nenhuma propriedade WSDL ou URL foi setada para o componente THTTPRIO. Voc precisa setar a propriedade WSDL ou URL antes de invocar o servio Web';
  sCantGetURL= 'Incapaz de recuperar o ponto final da URL para a porta/Servio "%s"/"%s" do "%s" WSDL';
  SDataTypeNotSupported = 'Datatype do TypeKind: %s no suportadocomo argumento para a invocao remota';
{$IFDEF LINUX}
  SNoMatchingDelphiType = 'Nenhuma consulta tipo Kylix foi encontrada para o tipo: URI = %s, Nome = %s no ndulo %s';
{$ENDIF}
  SUnknownSOAPAction = 'SOAPAction %s desconhecido';
  SScalarFromTRemotableS = 'Classes que representam tipos escalares tm descender de TRemotableXS, %s no ';
  SNoSerializeGraphs = ' preciso habilitar a sada multireferncia para objetos quando serializar um grfico de objetos - (%s)';
  SUnsuportedClassType = 'Converso para a classe %s para SOAP no  suportada - Classes SOAP devem derivar do TRemotable';
  SUnexpectedDataType = 'Erro interno: Tipo de dados kind %s no esperado neste contexto';
  SInvalidContentType = 'Recebido um contedo invlido da configurao do Content-Type: %s - O SOAP espera "text/xml"';

  SArrayTooManyElem = 'Array de ndulos: %s possi muitos elementos';
  SWrongDocElem = 'DocumentElement %s:%s esperado, %s:%s encontrado';
  STooManyParameters = 'Muitos parmetros para o mtodo %s';
  SArrayExpected = 'Tipo de Array esperado. Ndulo %s';

  SNoInterfaceGUID = 'Classe %s no foi implementa a interface GUID %s';
  SNoArrayElemRTTI = 'Tipo de elemento do Array %s no  RTTI';
  SInvalidResponse = 'Resposta SOAP invlida';
  SInvalidArraySpec = 'Array de especificaes SOAP invlido';
  SCannotFindNodeID = 'no foi possvel encontrar o ndulo referenciado para o ID %s';
  SNoNativeNULL = 'Opo no configurada para permitir que um tipo natvo seja setado para NULL';
  SFaultCodeOnlyAllowed = 'Somente um elemento FaultCode diponvel';
  SFaultStringOnlyAllowed = 'Somente um elemento FaultString diponvel';
  SMissingFaultValue = 'ElementoFaultString ou FaultCode desconhecido';
  SNoInterfacesInClass = 'Classe invocada %s no implementada na interface';

  SVariantCastNotSupported = 'Tipo no pode ser lanado como Variante';
  SVarDateNotSupported = 'Tipo varDate no suportado';
  SVarDispatchNotSupported = 'Tipo varDispatch no suportado';
  SVarErrorNotSupported = 'Tipo varError no suportado';
  SVarVariantNotSupported = 'Tipo varVariant no suportado';
  SHeaderError = 'Erro Processando Header (%s)%s';
  SMissingSoapReturn = 'Pacote de respostas SOAP: Elemento resultante esperado, recebido "%s"';
  SInvalidPointer = 'Ponteiro invlido';
  SNoMessageConverter = 'Nenhum conversor de Mensagem nativo para a mensagem';
  SNoMsgProcessingNode = 'Nenhuma mensagem processando para o ndulo setado';
  SHeaderAttributeError = 'header do Soap %s Com atributo "mustUnderstand" setado para verdadeiro no tem manipulador';

  {IntfInfo}
  SNoRTTI = 'Interface %s no  RTTI';
  SNoRTTIParam = 'Parmetro %s no mtodo %s da Interface %s no  RTTI';

  {XSBuiltIns}
  SInvalidDateString        = 'String de data invlida: %s';
  SInvalidTimeString        = 'String de hora invlida: %s';
  SInvalidHour              = 'Hora invlida: %d';
  SInvalidMinute            = 'Minuto invlido: %d';
  SInvalidSecond            = 'Segundo invlido: %d';
  SInvalidFractionSecond    = 'Segundo invlido: %f';
  SInvalidMillisecond       = 'Milisegundo invlido: %d';
  SInvalidFractionalSecond  = 'Frao de segundo invlido: %f';
  SInvalidHourOffset        = 'OffSet da hora invlida: %d';
  SInvalidDay               = 'Dia invlido: %d';
  SInvalidMonth             = 'Ms invlido: %d';
  SInvalidDuration          = 'String de durao invlida: %s';
  SMilSecRangeViolation     = 'Valores dos Milisegundos precisam estar entre 000 - 999';
  SInvalidYearConversion    = 'Poro ano da data muito grande para a converso';
  SInvalidTimeOffset        = 'Poro offset da hora  invlida';
  SInvalidDecimalString     = 'String decimal: "%s" invlida';
  SEmptyDecimalString       = 'No  possvel converter uma string vazia para um valor TBcd';
  SNoSciNotation            = 'No  possvel converter uma notao cientfica para um valor TBcd';
  SNoNAN                    = 'No  possvel converter uma NAN para um valor TBcd';
  SInvalidBcd               = 'Preciso Bcd invlida (%d) ou escala (%d)';
  SBcdStringTooBig          = 'No  possvel converter para TBcd: A string %s tm mais de 64 dgitos';
  SInvalidHexValue          = '%s no  uma String hexadecimal vlida';
  SInvalidHTTPRequest       = 'Requisio HTTP invlida: Tamanho  0';
  SInvalidHTTPResponse      = 'Resposta HTTP invlida: Tamanho  0';

  {WebServExp}
  SInvalidBooleanParameter  = 'ByteBool, WordBool and LongBool no podem serem expostos para o WebServices. Por favor use "Boolean"';    

  {WSDLIntf}
  SWideStringOutOfBounds = 'ndice WideString fora dos limites';

  {WSDLPub}
  IWSDLPublishDoc = 'Todas as Listas que o PortTypes publicou para este Servio';

  SNoServiceForURL = 'Nenhum servio disponvel para a URL %s';
  SNoInterfaceForURL = 'Nenhuma interface est registrada para o handle da URL %s';
  SNoClassRegisteredForURL = 'Nenhuma classe est registrada para implementar a interface %s';
  SEmptyURL = 'Nenhuma URL foi especificada para "GET"';
  SInvalidURL = 'url "%s" invlida - somente suporta "http" and "https" schemes';
  SNoClassRegistered = 'Nenhuma classe registrada para invocar a interface %s';
  SNoDispatcher = 'Nenhum Dispatcher setado';
  SMethNoRTTI = 'Mtodo no  RTTI';
  SUnsupportedVariant = 'Variante do tipo %d no  suportada';
  SNoVarDispatch = 'Tipo varDispatch no  suportada';
  SNoErrorDispatch = 'Tipo varError no  suportada';
  SUnknownInterface = '(Desconhecido)';

  SInvalidTimeZone = 'Zona horria invlida ou desconhecida';

  sUnknownError = 'Erro desconhecido';
  sErrorColon   = 'Erro: ';
  sServiceInfo  = '%s - PortTypes:';
  sInterfaceInfo= '<a href="%s">%s</a>&nbsp;&gt;&nbsp;<span class="Off">%s</span>';
  sWSILInfo     = 'WSIL:';
  sWSILLink     = '&nbsp;&nbsp;<span class="Tip">Link to WS-Inspection document of Services <a href="%s">here</a></span>';
  sRegTypes     = 'Tipos registrados';

  sWebServiceListing      = 'Listando WebService';
  sWebServiceListingAdmin = 'Listando administradores do WebService';
  sPortType               = 'Tipo de porta';
  sNameSpaceURI           = 'Namespace URI';
  sDocumentation          = 'Documentao';
  sWSDL                   = 'WSDL';
  sPortName               = 'Nome da porta';
  sInterfaceNotFound      = HTMLHead + '</head><body>' + '<h1>Erro Encontrado</h1><P>Interface %s not no encontrada</P>' +HTMLEnd;
  sForbiddenAccess        = HTMLHead + '</head><body>' + '<h1>Proibido (403)</h1><P>Acesso proibido</P>' +HTMLEnd;
  sWSDLPortsforPortType   = 'Portas WSDL para o PortType';
  sWSDLFor                = '';
  sServiceInfoPage        = 'Pgina de informaes do servio';

{SOAPAttach}
  SEmptyStream = 'Erro TAggregateStream: nenhuma stream interna';
  SMethodNotSupported = 'mtodo no suportado';
  SInvalidMethod = 'Mtodo no permitido no TSoapDataList';
  SNoContentLength = 'Header Content-Length no encontrado';
  SInvalidContentLength = 'Dados insuficientes para Content-Length';
  SMimeReadError = 'Erro lendo da stream de requisio Mime';
{$IFDEF MSWINDOWS}
  STempFileAccessError = 'Erro acessando arquivo temporrio';
{$ENDIF}
{$IFDEF LINUX}
  STempFileAccessError = 'Erro acessando arquivo temporrio: verifique as configuraes do TMPDIR';
{$ENDIF}

{SoapConn}
  SSOAPServerIIDFmt = '%s - %s';
  SNoURL = 'Nenhuma propriedade URL setada - por favor especifique a URL do Servio que voc deseja conectar';
  SSOAPInterfaceNotRegistered = 'Interface (%s) no foi registrada - por favor inclua a unidade que registra esta interface em seu projeto';
  SSOAPInterfaceNotRemotable  = 'Interface (%s) no pode ser removida - por favor verifique a declarao de interface - especialmente os mtodos convencionais de chamada!';

  SCantLoadLocation = 'Impossvel carregar Arquivo/Localizao WSDL: %s.  Erro [%s]';

implementation

end.
