{ *************************************************************************** }
{                                                                             }
{ Kylix and Delphi Cross-Platform Visual Component Library                    }
{                                                                             }
{ Copyright (c) 1997, 2001 Borland Software Corporation                       }
{                                                                             }
{ *************************************************************************** }


unit SqlConst;

interface

const

  DRIVERS_KEY = 'Drivers Instalados';           { Do not localize }
  CONNECTIONS_KEY = 'Conexes Instaladas';      { Do not localize }
  DRIVERNAME_KEY = 'DriverName';                { Do not localize }
  HOSTNAME_KEY = 'HostName';                    { Do not localize }
  ROLENAME_KEY = 'RoleName';                    { Do not localize }
  DATABASENAME_KEY = 'Database';                { Do not localize }
  MAXBLOBSIZE_KEY = 'BlobSize';                 { Do not localize }
  VENDORLIB_KEY = 'VendorLib';                  { Do not localize }
  DLLLIB_KEY = 'LibraryName';                   { Do not localize }
  GETDRIVERFUNC_KEY = 'GetDriverFunc';          { Do not localize }
  AUTOCOMMIT_KEY = 'AutoCommit';                { Do not localize }
  BLOCKINGMODE_KEY = 'BlockingMode';            { Do not localize }
  WAITONLOCKS_KEY= 'WaitOnLocks';               { Do not localize }
  COMMITRETAIN_KEY = 'CommitRetain';            { Do not localize }
  TRANSISOLATION_KEY = '%s TransIsolation';     { Do not localize }
  SQLDIALECT_KEY = 'SqlDialect';                { Do not localize }
  SQLLOCALE_CODE_KEY = 'LocaleCode';            { Do not localize }
  ERROR_RESOURCE_KEY = 'ErrorResourceFile';     { Do not localize }
  SQLSERVER_CHARSET_KEY = 'ServerCharSet';      { Do not localize }
  SREADCOMMITTED = 'readcommited';              { Do not localize }
  SREPEATREAD = 'repeatableread';               { Do not localize }
  SDIRTYREAD = 'dirtyread';                     { Do not localize }
  SDRIVERREG_SETTING = 'Driver de Arquivo de Registro';           { Do not localize }
  SCONNECTIONREG_SETTING = 'Conexo de Arquivo de Registro';   { Do not localize }
  szUSERNAME         = 'USURIO';             { Do not localize }
  szPASSWORD         = 'SENHA';              { Do not localize }
  SLocaleCode        = 'LCID';                  { Do not localize }
  ROWSETSIZE_KEY     = 'RowsetSize';            { Do not localize }
  OSAUTHENTICATION   = 'Autenticao de OS';     { Do not localize }
  SERVERPORT         = 'Porta do Servidor';           { Do not localize }
  MULTITRANSENABLED  = 'Transaes Mltiplas';  { Do not localize }
  TRIMCHAR           = 'Trim Char';             { Do not localize }
  CUSTOM_INFO        = 'String Customizada';         { Do not localize }
  CONN_TIMEOUT       = 'Tempo expirado de Conexo';    { Do not localize }
{$IFDEF MSWINDOWS}
  SDriverConfigFile = 'dbxdrivers.ini';            { Do not localize }
  SConnectionConfigFile = 'dbxconnections.ini';    { Do not localize }
  SDBEXPRESSREG_SETTING = '\Software\Borland\DBExpress'; { Do not localize }
{$ENDIF}
{$IFDEF LINUX}
  SDBEXPRESSREG_USERPATH = '/.borland/';          { Do not localize }
  SDBEXPRESSREG_GLOBALPATH = '/usr/local/etc/';   { Do not localize }
  SDriverConfigFile = 'dbxdrivers';                  { Do not localize }
  SConnectionConfigFile = 'dbxconnections';          { Do not localize }
  SConfExtension = '.conf';                       { Do not localize }
{$ENDIF}

resourcestring

  SLoginError = 'No  possvel conectar com o banco de dados "%s"';
  SMonitorActive = 'No  possvel alterar conexo no monitor ativo';
  SMissingConnection = 'Faltando propriedade SQLConnection';
  SDatabaseOpen = 'No  possvel executar esta operao em um Database aberto';
  SDatabaseClosed = 'No  possvel executar esta operao em um Database fechado';
  SMissingSQLConnection = 'Propriedade SQLConnection requerida para esta operao';
  SConnectionNameMissing = 'Nome da conexo faltando ou no existe';
  SEmptySQLStatement = 'Nenhuma indicao do SQL disponvel';
  SNoParameterValue = 'Nenhum valor para o parmetro "%s"';
  SNoParameterType = 'Nenhum tipo de parmetro para o parmetro "%s"';
  SParameterTypes = ';Entrada;Saida;Entrada/Sada;Resultado';
  SDataTypes = ';String;SmallInt;Integer;Word;Boolean;Float;Currency;BCD;Date;Time;DateTime;;;;Blob;Memo;Graphic;;;;;Cursor;';
  SResultName = 'Resultado';
  SNoTableName = 'Faltando propriedade TableName';
  SNoSqlStatement = 'Faltando query, nome da tabela ou da procedure';
  SNoDataSetField = 'Faltando propriedade DataSetField';
  SNoCachedUpdates = 'No est em modo "Cached update"';
  SMissingDataBaseName = 'Database faltando propriedade';
  SMissingDataSet = 'Dataset faltando propriedade';
  SMissingDriverName = 'DriverName faltando propriedade';
  SPrepareError = 'Erro ao executar a Query';
  SObjectNameError = 'Tabela/Procedure no encontrada';
  SSQLDataSetOpen = 'Incapaz de determinar nomes de campos para %s';
  SNoActiveTrans = 'No existem transaes ativas';
  SActiveTrans = 'Uma transao j est ativa';
  SDllLoadError = 'Incapaz de Carregar %s';
  SDllProcLoadError = 'Incapaz de achar Procedure %s';
  SConnectionEditor = '&Editar Propriedades de Conexo';
  SCommandTextEditor = '&Editar CommandText';
  SMissingDLLName = 'DLL/Shared Library Name no ajustada';
  SMissingDriverRegFile = 'Arquivo de registro do Driver/Connection "%s" no encontrado';
  STableNameNotFound = 'No  possvel achar TableName em CommandText';
  SNoCursor = 'Cursor no retornado da Query';
  SMetaDataOpenError = 'Incapaz de abrir Metadata';
  SErrorMappingError = 'Erro no SQL: Mapeamento do erro falhou';
  SStoredProcsNotSupported = 'Stored Procedures no suportadas pelo Servidor "%s"';
  SPackagesNotSupported = 'Pacotes no so suportados pelo Servidor "%s"';
  SDBXUNKNOWNERROR = 'Erro no DBX: Nenhum mapeamento para o Cdigo do Erro encontrado';
  SDBXNOCONNECTION = 'Erro no DBX: Conexo no encontrada, mensagem de erro no pode ser recuperada';
  SDBXNOMETAOBJECT = 'Erro no DBX: MetadataObject no encontrado, mensagem de erro no pode ser recuperada';
  SDBXNOCOMMAND = 'Erro no DBX: Comando no encontrado, mensagem de erro no pode ser recuperada';
  SDBXNOCURSOR = 'Erro no DBX: Cursor no encontrado, mensagem de erro no pode ser recuperada';
  SNOMEMORY = 'Erro no DBX: Memria Insuficiente para Operao';
  SINVALIDFLDTYPE = 'Erro no DBX: Tipo de Campo Invlido';
  SINVALIDHNDL = 'Erro no DBX: Handle Invlido';
  SINVALIDTIME = 'Erro no DBX: Hora Invlida';
  SNOTSUPPORTED = 'Erro no DBX: Operao No Suportado';
  SINVALIDXLATION = 'Erro no DBX: Traduo Invlida';
  SINVALIDPARAM = 'Erro no DBX: Parmetro Invlido';
  SOUTOFRANGE = 'Erro no DBX: Argumento fora da Faixa';
  SSQLPARAMNOTSET = 'Erro no DBX: Parmetro no Ajustado';
  SEOF = 'Erro no DBX: Result set at EOF';
  SINVALIDUSRPASS = 'Erro no DBX: Usurio/Senha Invlido';
  SINVALIDPRECISION = 'Erro no DBX: Preciso Invlida';
  SINVALIDLEN = 'Erro no DBX: Comprimento Invlido';
  SINVALIDXISOLEVEL = 'Erro no DBX: Transao Invlida do Nvel de Isolao';
  SINVALIDTXNID = 'Erro no DBX: ID da Transao Invlido';
  SDUPLICATETXNID = 'Erro no DBX: ID da Transao Duplicado';
  SDRIVERRESTRICTED = 'dbExpress: Aplicao no  licenciada para usar esta caracterstica';
  SLOCALTRANSACTIVE = 'Erro no DBX: Transao Local j ativa';
  SMULTIPLETRANSNOTENABLED = 'Erro no dbExpress: Transaes Mltiplas no Habilitadas';
  SMultiConnNotSupported = 'Mltiplas Conexes no suportadas pelo driver %s';
  SConfFileMoveError = 'Incapaz de mover %s para %s';
  SMissingConfFile = 'Arquivo de configurao %s no encontrado';
  SObjectViewNotTrue = 'ObjectView deve ser True para Tables com campos Objeto';
  SDriverNotInConfigFile = 'Driver (%s) no encontrado em arquivo Cfg (%s)';
  SObjectTypenameRequired = 'Requerido nome do tipo do objeto como um valor de parmetro';
  SCannotCreateFile = 'No  possvel criar arquivo %s';
// used in SqlReg.pas
  SDlgOpenCaption = 'Abrir arquivo de log';
  SDlgFilterTxt = 'Arquivos Texto (*.txt)|*.txt|Todos os arquivos (*.*)|*.*';
  SLogFileFilter = 'Arquivos de Log (*.log)';
  SCircularProvider = 'Referncias Circulares no provedor no permitidas.';

const

  DbxError : array[0..19] of String = ( '', SNOMEMORY, SINVALIDFLDTYPE,
                SINVALIDHNDL, SINVALIDTIME,
                SNOTSUPPORTED, SINVALIDXLATION, SINVALIDPARAM, SOUTOFRANGE,
                SSQLPARAMNOTSET, SEOF, SINVALIDUSRPASS, SINVALIDPRECISION,
                SINVALIDLEN, SINVALIDXISOLEVEL, SINVALIDTXNID, SDUPLICATETXNID,
                SDRIVERRESTRICTED, SLOCALTRANSACTIVE, SMULTIPLETRANSNOTENABLED );

implementation

end.
